%hold on;

%Calcul des dates sparatrices des diverses orbites

t(1)=0;
t(2)=119;           %Nombre de jours sur C1 Terre-Vnus
t(3)=303;           %Nombre de jours sur C1 Vnus-Terre
t(4)=325;           %Nombre de jours sur C1 Terre-Gaspra
t(5)=406;           %Nombre de jours sur C1 Gaspra-Terre
t(6)=1094;          %Nombre de jours sur C1 Terre-Jupiter


%dans le champ gravifique du Soleil

mus=13.27E10;

%Demi grand axe et excentricit des 4 trajectoires

a(1)=124.76E6;a(2)=147.912E6;a(3)=237.778E6;a(4)=237.793e6;a(5)=469.559E6;

e(1)=0.199334;e(2)=0.295747;e(3)=0.430228;e(4)=0.4283927;
e(5)=0.686716;

%Inclinaisons des orbites sur l'ecliptique

incl=[4.509 3.39 4.55 4.635 2.28];

incl=pi/180*incl;

%Calcul des priodes en jours solaires sur les trajectoires C1  C4

for i=1:5,

periode(i)=2*pi*a(i).^1.5./sqrt(mus)/86400;

end

%Anomalies excentriques en radian des points de dpart sur chaque orbite

xdepart(1)=170.07*pi/180;
xdepart(2)=337.41*pi/180;
xdepart(3)=332.129*pi/180;
xdepart(4)=154.513*pi/180;
xdepart(5)=357.83*pi/180;

%argument nodaux du prige des orbites

pw(1)=188.116*pi/180;
pw(2)=106.491*pi/180;
pw(3)=222.922*pi/180;
pw(4)=222.1208*pi/180;
pw(5)=185.03*pi/180;

%longitudes vernales de la ligne des noeuds de chaque orbite

gw(1)=19.639*pi/180;
gw(2)=76.647*pi/180;
gw(3)=256.647*pi/180;
gw(4)=257.17*pi/180;
gw(5)=257.169*pi/180;

%Initialisation des matrices lignes des coordonnes de Galileo

coord1=[];coord2=[];

for j=1:5,

% Calcul des paramtres de Fsolve qui calculera l'anomalie excentrique
  
   par(1)=e(j);
   par(2)=periode(j);   
   par(4)=xdepart(j);
  

   n=t(j+1);ad=a(j);exc=e(j);

%Matrice de passage de la base Heliocentrique  la base prifocale

xgw=gw(j);xpw=pw(j);incli=incl(j);

R1=[cos(xgw) -sin(xgw) 0 ;sin(xgw) cos(xgw) 0;0 0 1];
R2=[1 0 0;0 cos(incli) -sin(incli);0 sin(incli) cos(incli)];
R3=[cos(xpw) -sin(xpw) 0 ;sin(xpw) cos(xpw) 0;0 0 1];
  
matpass=R1*R2*R3;

          % Calcul des points sur chaque orbite 1 point par jour

          for i=0:n,
    
             par(3)=i;
             
          % Rsolution du calcul de l'anomalie excentrique

             x= fsolve('anomalie',0,zeros(16,1),par);

          % Calcul des coordonnes de Galilo dans la base prifocale

             coordx(1)=ad*(cos(x)-exc);
             coordx(2)=ad*sqrt(1-(exc)^2)*sin(x);
             coordx(3)=0;

          % Passage dans la base hliocentrique

             xgal=matpass*coordx';           

          % Calcul des 2 matrices des coordonnes (Matrices lignes) 
  
             coord1=[coord1 xgal(1)];
             coord2=[coord2 xgal(2)];

             
end

end

% Sauvetage des calculs dans le fichier position

save position.mat coord1 coord2;